From 21c41c8c004d63b621e61a2e1493cf875a4a67da Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Mon, 10 Aug 2009 08:29:31 +0200
Subject: [PATCH] Fix build faliure against gcc4.4
 Signed-off-by: Kedar Sovani <kedars@marvell.com>

---
 nx-gcc44.patch |   11 +++++++++++
 nx.spec        |    7 ++++++-
 2 files changed, 17 insertions(+), 1 deletions(-)
 create mode 100644 nx-gcc44.patch

diff --git a/nx-gcc44.patch b/nx-gcc44.patch
new file mode 100644
index 0000000..53574a8
--- /dev/null
+++ b/nx-gcc44.patch
@@ -0,0 +1,11 @@
+--- nx-3.3.0/nxcomp/Loop.cpp.orig	2009-05-17 12:22:19.000000000 +0200
++++ nx-3.3.0/nxcomp/Loop.cpp	2009-05-17 12:22:43.000000000 +0200
+@@ -10979,7 +10979,7 @@
+                                       packMethod == PACK_LOSSLESS ||
+                                           packMethod == PACK_ADAPTIVE)
+   {
+-    char *dash = rindex(opt, '-');
++    const char *dash = rindex(opt, '-');
+ 
+     if (dash != NULL && strlen(dash) == 2 &&
+             *(dash + 1) >= '0' && *(dash + 1) <= '9')
diff --git a/nx.spec b/nx.spec
index cf6cd90..b081fc7 100644
--- a/nx.spec
+++ b/nx.spec
@@ -8,7 +8,7 @@
 Summary: Proxy system for X11
 Name: nx
 Version: 3.2.0
-Release: 32%{?dist}
+Release: 32%{?dist}.fa1
 # MIT on the X11 bits
 License: GPLv2 and MIT
 Group: Applications/Internet
@@ -32,6 +32,7 @@ Source9: nxwrapper.in
 Source10: docs.tar.bz2
 
 Source11: nxfind-provides.sh
+Patch0: nx-gcc44.patch
 
 %define _use_internal_dependency_generator 0
 %define __find_provides sh %{SOURCE11}
@@ -55,6 +56,7 @@ NX provides a proxy system for the X Window System.
 
 %prep
 %setup -q -c %{name}-%{version} -T -a0 -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8
+%patch0 -p1 -b .gcc44
 perl -pi -e's,-L/usr/X11R6/lib,-L%{_x_libraries},' nxcompshad/Makefile.in
 export CFLAGS="%{optflags}"
 %ifarch x86_64 ppc64
@@ -168,6 +170,9 @@ rm -rf %{buildroot}
 %{_pkglibexecdir}
 
 %changelog
+* Fri Aug 07 2009 Mahavir Jain <mjain@marvell.com> - 3.2.0-32.fa1
+- Fix build failure with gcc 4.4.
+
 * Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 3.2.0-32
 - rebuild with new openssl
 
-- 
1.5.5.6

